#ifndef FourUHV_H
#define FourUHV_H

// cumbia
#include <qulogimpl.h>
#include <cucontrolsfactorypool.h>
class CumbiaPool;
class CuData;
// cumbia

#include <QWidget>
#include <QMap>

namespace Ui {
class FourUHV;
}

class FourUHV : public QWidget
{
    Q_OBJECT

public:
    explicit FourUHV(CumbiaPool *cu_p, QWidget *parent = 0);
    ~FourUHV();

private:
    Ui::FourUHV *ui;

    QMap<int, QString> m_chSensorMap;

private slots:
    void applyThresholdClicked();
    void onPsListReady(const CuData& da);

private:
// cumbia
    CumbiaPool *cu_pool;
    QuLogImpl m_log_impl;
    CuControlsFactoryPool m_ctrl_factory_pool;
    // cumbia
    QString m_dev;
};

#endif // FourUHV_H

